//!CompilerOption:Optimize:On
using System;
using System.Windows.Media;
using Styx;
using Styx.Common;

namespace BalanceDruidMoonkinForm
{
    public class BalanceDruidMoonkinForm : Styx.Plugins.HBPlugin
    {
        public override string Name { get { return "Balance Druid Moonkin Form"; } }
        public override string Author { get { return "Raaz"; } }
        public override Version Version { get { return _version; } }
        private readonly Version _version = new Version(0, 1);

        public override void Pulse()
		{
            		if (StyxWoW.Me.Combat && 
			    StyxWoW.Me.Class == WoWClass.Druid && 
			    !StyxWoW.Me.IsFlying && 
			    StyxWoW.Me.Specialization == WoWSpec.DruidBalance && 
			    StyxWoW.Me.Shapeshift != ShapeshiftForm.Moonkin)
            		{
                		Logging.Write(Colors.Orange, String.Format("Silly Druid should be in Moonkin Form!"));

                		//Moonkin form is spell 24858
                		Styx.CommonBot.SpellManager.CastSpellById(24858);                
            		}
		}
    }
}
